/*
* This code is released under the GNU General Public License.  See COPYING for 
* details.  Copyright 2003 John Spray: spray_john@users.sourceforge.net
*/


#include <SDL_opengl.h>
#include "Visual.h"

#ifndef MESH_H
#define MESH_H

class Mesh {
public: 
	Mesh();
	~Mesh();
	int Load(char*);
	void Draw();
	char filename[128];
	char skinname[128];
	GLfloat* geom;
	int vert_count;
	int gl_array_id;
	Visual* visual;
};

#endif
